Get order by ID
Returns full order details including line items, phases, status history, phase step history, production tasks (lab only), and active hold information. Patient data is masked for labs when hidePatientFromLab is enabled.
Returns full order details including line items, phases, status history, phase step history, production tasks (lab only), and active hold information. Patient data is masked for labs when hidePatientFromLab is enabled.
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
Order ID
Response Body
application/json
curl -X GET "https://example.com/orders/550e8400-e29b-41d4-a716-446655440000"{ "id": "string", "orderNumber": "string", "status": "string", "submittedAt": "string", "items": [ null ], "phases": [ null ], "statusHistory": [ null ], "phaseStepHistory": [ null ], "tasks": [ null ], "activeHold": null, "shipping": { "shippingTypeId": "string", "name": "string", "method": "carrier", "amount": "string", "insuranceAmount": "string", "totalAmount": "string", "group": { "anchorOrderId": "string", "orders": [ { "id": "string", "orderNumber": "string", "status": "draft" } ] } }, "shippingLab": { "weightGrams": 0, "missingWeightCount": 0, "zoneName": "string", "notCharged": true, "editable": true }, "property1": null, "property2": null}The statement that accompanies a completed order's devices GET
The latest revision of the order's statement for custom-made devices (or its national variant), for the lab or the order's clinic, also after the partnership has ended. `stale` is true when the order changed after that revision was issued.
Get order files GET
Returns all files attached to an order along with product file requirements. Requirements define what file types each product expects (scans, photos, prescriptions, etc.) and their upload rules.